org.eclipse.ecf.filetransfer.events

## Interface IOutgoingFileTransferResponseEvent

All Superinterfaces:
  Event, IFileTransferEvent, IOutgoingFileTransferEvent

    public interface IOutgoingFileTransferResponseEvent
    extends IOutgoingFileTransferEvent

Asynchronous event sent to `IFileTransferListener` associated with `IOutgoingFileTransfer` instances when a response is received from the remote target (or provider times out).

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `requestAccepted()` If request was accepted from remote target this method will return true, if rejected or failed returns false.
`void` `setFileTransferJob(FileTransferJob job)` Set the `FileTransferJob` to use for the actual file transfer.

### Methods inherited from interface org.eclipse.ecf.filetransfer.events.IOutgoingFileTransferEvent

`getSource`

### Method Detail

#### requestAccepted

    boolean requestAccepted()

If request was accepted from remote target this method will return true, if rejected or failed returns false.

Returns:
  true if request was accepted, false if rejected or failed

#### setFileTransferJob

    void setFileTransferJob(FileTransferJob job)

Set the `FileTransferJob` to use for the actual file transfer. This method only has effect if the `requestAccepted()` returns `true`.

Parameters:
  `job` - the job to use. If `null`, or this method is not called, then a default FileTransferJob is used. NOTE: the given job should *not* be scheduled/started prior to being provided as a parameter to this method.